import { Meta, Story, Props, Preview } from '@storybook/addon-docs/blocks'
import { PropsTable } from '@storybook/components'
import { AllCollections } from '.'
import { Box } from 'rebass'
import { Collection } from 'ui/modules/Previews/Collection'
import { useGetLoadMoreProps } from 'ui/mock/loadmore'
import { CollectionPreviewProps } from 'ui/mock/previews'
import { WithSidebar } from 'ui/templates/withSidebar'
import { MainHeader } from 'ui/modules/MainHeader'
import { Sidebar } from 'ui/modules/Sidebar'
import { useGetSidebarProps } from 'ui/mock/sidebar'
import { getMainHeaderProps } from 'ui/mock/mainHeader'

<Meta title="Pages|AllCollections" component={AllCollections} />

# AllCollections

The `AllCollections` page displays all of the collections on the current MoodleNet instance. It is made up of the following:

- **[Story](#story)**
- **[Building blocks](#modules)**
- **[Props](#props)**

<Preview>
  <Story name="AllCollections page">
    <WithSidebar
      SearchBox={<h1>test</h1>}
      HeaderBox={<MainHeader {...getMainHeaderProps()} />}
      SidebarBox={<Sidebar {...useGetSidebarProps()} />}
      userImage={'string'}
      userLink={'/'}
      homeLink={'/'}
      username={'test'}
      name={'test'}
      signout={() => console.log('test')}
    >
      <AllCollections
        basePath="/"
        CollectionsBoxes={[
          <Collection {...CollectionPreviewProps()} />,
          <Collection {...CollectionPreviewProps()} />,
          <Collection {...CollectionPreviewProps()} />,
        ]}
        {...useGetLoadMoreProps()}
      />
    </WithSidebar>
  </Story>
</Preview>

<div id="modules">Building blocks</div>

- **[WithSidebar](#)**
- **[Header](#)**
- **[WrapperPanel](#)**
- **[LoadMore](#)**

<div id="props">Props</div>

<Props of={AllCollections} />
